package com.wdkl.ncs.android.middleware.model.vo;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.wdkl.ncs.android.middleware.model.dos.FrameDO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @program nc
 * @description: 医院空间上下级关系
 * @author: Vothin
 * @create: 2021/03/04 12:11
 */

@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class FrameRelationshipVO extends FrameDO implements Serializable {

    @ApiModelProperty(name = "parent_name", value = "父级名称", required = true)
    private String parentName;

    /**
     * 子机构列表
     */
    private List<FrameDO> children;

    /**
     * 是否包含子机构
     */
//    @JsonIgnore
    private Boolean hasChildren;

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public List<FrameDO> getChildren() {
        return children;
    }

    public void setChildren(List<FrameDO> children) {
        this.children = children;
    }

    public Boolean getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(Boolean hasChildren) {
        this.hasChildren = hasChildren;
    }


}
